﻿@model HOD.Models.VirtualListing
@{
    ViewBag.Title = "FullListing";
   Layout = "~/Views/Shared/_DefaultLayout.cshtml";
   string address = Model.Address + ", " + Model.City + ", " + Model.Province + ", " + Model.PostalCode;
    @*string address = "340 King St E, Bowmanville, ON, Canada";*@
}
@*#include Javascript API and theme setting Google maps*@
<style type="text/css">
        #Google_Map_Canvas {
            height:428px;
        }

    </style>

<script type="text/javascript" src="https://maps.googleapis.com/maps/api/js?v=3.exp&sensor=false"> </script>
<script type="text/javascript" src="https://ajax.googleapis.com/ajax/libs/jquery/2.0.0/jquery.min.js"> </script>

    @*Function to get coordinates*@
        <script type="text/javascript">
            geocoder = new google.maps.Geocoder();

            function getCoordinates(address, Callback) {

                var coordinates;
                geocoder.geocode({ address: address }, function (results, status) {
                    coords_obj = results[0].geometry.location;
                    coordinates = [coords_obj.d, coords_obj.e];
                    Callback(coordinates);
                })
            }

        </script> 
    @*Function to load map into canvas*@

<script type="text/javascript">

    var map;

    function initialise() {

        var currentLocation;

        getCoordinates('@address', function (coor) {

                    currentLocation = new google.maps.LatLng(coor[0], coor[1]);

                    var mapOptions = {
                        center: currentLocation,
                        zoom: 15,
                        mapTypeId: google.maps.MapTypeId.ROADMAP
                    };

                    var map = new google.maps.Map(document.getElementById("Google_Map_Canvas"), mapOptions);

                    var marker = new google.maps.Marker({
                        position: currentLocation,
                        map: map
                    });

                });
            }

    $(document).ready(function () {
        initialise();
            });

    </script>
        
@*_____________________________________________________*@


@{
    string title;
    string squareFootage;
    string privateSellerMessage = string.Empty;
    if (!Model.DontShowListPrice)
    {
        title = Model.NoOfBedrooms.ToString() + ((Model.NoOfBedrooms > 1) ? " Bedrooms" : " Bedroom") + ", " + Model.NoOfBathrooms.ToString() + ((Model.NoOfBathrooms > 1) ? " Bathrooms" : " Bathroom") + " for " +
        String.Format("{0:C}", Model.ListPrice);
    }
    else
    {
        title = Model.NoOfBedrooms.ToString() + ((Model.NoOfBedrooms > 1) ? " Bedrooms" : " Bedroom") + ", " + Model.NoOfBathrooms.ToString() + ((Model.NoOfBathrooms > 1) ? " Bathrooms" : " Bathroom");
    }

    squareFootage = String.Format(Model.SquareFootage.ToString(), "N");
        
        
}

<div class="panel panel-default" style="padding: 4px;">
       <div class="panel-heading">
        <h3 class="panel-title"><b>Full Listing for Property at @Model.Address, @Model.City, @Model.Province</b></h3>
    </div>

    <div class="panel-body">
           <br /> 
           <div class="panel panel-default">
                <div class="panel-heading" align="left"> 
                    Quick Ad Review</div>
                <div class="panel-body">

                    <div class="row">
                        <div class="col-xs-6 col-md-12" align="left">
                            @Model.MainSellingDesc
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-xs-6 col-md-12">
                            &nbsp;
                        </div>
                    </div>
                    <div class="row">
                        <!--.col-xs-12 .col-md-8-->
                      <div class="col-xs-6 col-md-3" align="left">@Html.Label("Display Price: ")    @Html.DisplayFor(m => m.ListPrice, new { @readOnly = "true" })  
                            @Html.Label("Property Type: ")
                            @Html.DisplayFor(m => m.PropertyType, new { @class = "form-control", @readOnly = "true" })    
                            @Html.Label("No Of Bedrooms: ")
                            @Html.DisplayFor(m => m.NoOfBedrooms, new { @class = "form-control", @readOnly = "true" })                                                                                                         
                            @Html.Label("No Of Bathrooms: ")
                            @Html.DisplayFor(m => m.NoOfBathrooms, new { @class = "form-control", @readOnly = "true" })                                                                                                         
                            @Html.Label("Square Footage: ")
                            @squareFootage                         
                    </div>
                    <div class="col-xs-3 col-md-2">
                    </div>
                      <div class="col-xs-3 col-md-2"><a href="@Html.DisplayFor(x => x.Image1VirtualSign).ToString()" class="gallery">
                                <img id="virtualsign1" class="thumbnail"  height="150px" width="250px"  src="@Html.DisplayFor(x => x.Image1VirtualSign).ToString()" />
                            </a></div>
                      <div class="col-xs-3 col-md-2">   <a href="@Html.DisplayFor(x => x.Image2VirtualSign).ToString()" class="gallery">
                                <img id="virtualsign2" class="thumbnail"  height="150px" width="250px"  src="@Html.DisplayFor(x => x.Image2VirtualSign).ToString()" />
                            </a></div>
                    </div>

                    <div class="row">
                        <!--.col-xs-12 .col-md-8-->
                      <div class="col-xs-6 col-md-3">
                    </div>
                    <div class="col-xs-3 col-md-2">
                    </div>
                      <div class="col-xs-3 col-md-2"><a href="@Html.DisplayFor(x => x.Image3VirtualSign).ToString()" class="gallery">
                                <img id="virtualsign3"class="thumbnail"  height="150px" width="250px"  src="@Html.DisplayFor(x => x.Image3VirtualSign).ToString()" />
                            </a></div>
                      <div class="col-xs-3 col-md-2">   <a href="@Html.DisplayFor(x => x.Image4VirtualSign).ToString()" class="gallery">
                                <img id="virtualsign4" class="thumbnail" height="150px" width="250px"  src="@Html.DisplayFor(x => x.Image4VirtualSign).ToString()" />
                            </a></div>
                    </div>
                    <!-- Columns start at 50% wide on mobile and bump up to 33.3% wide on desktop -->
                    <div class="row">
                      <div class="col-xs-6 col-md-4">
                          Contact: @Html.DisplayFor(x => x.ContactPerson) at @Html.DisplayFor(x => x.PhoneNo)
                          
                          @if (Model.PrivateSellerOption == true)
                          {
                              privateSellerMessage = "You opted for Private Seller Feature therefore your contact information will not be displayed to potential buyers";
                          }
                         @Html.Raw(privateSellerMessage)

                      </div>
                      <div class="col-xs-9 col-md-8">Text <span class="greentext">@Html.DisplayFor(x => x.ListingId)</span> to <span class="greentext">393939</span> or visit <a href="">@Html.DisplayFor(x => x.CientUrl)</a></div>
                    </div>
               </div>     
                <script>
                    $(document).ready(function () {
                        $('a.gallery').colorbox({ slideshow: true, rel: 'group1', slideshowSpeed: 5000, width:"450px", height:"450px", slideshowStop: "Start Slide Show", slideshowStart: "Start Slide Show" });
                    });
                </script>
               <div class="row">
                  <div class="col-xs-6 col-md-2">                      
                  </div>
                  <div class="col-xs-10 col-md-10">
                         @Html.ActionLink("Edit Listing", "Edit", "Listing", new { id = Session["currListingId"] }, new { @class = "btn btn-default" })
                         @Html.ActionLink("Post to Facebook", "uploadFlyerToFacebook", "ExternalService", new { id = @Model.ListingId }, new { @class = "btn btn-default" })
                         @Html.ActionLink("Download Now To Print", "uploadFlyerToFacebook", null, new { id = @Model.ListingId }, new { @class = "btn btn-default" })
                 @*        @Html.ActionLink("Email Virtual Lawn Market Instructions", "Edit", "Listing", new { id = Session["currListingId"] }, new { @class = "btn btn-default" })*@
                        </div>
              </div> 
               <hr />
               <div class="panel-heading" align="left"> Location</div>
               <hr />
               @*Google Map Canvas*@
               <div class="row">
                      <div class="col-xs-6 col-md-6">
                          
                          <div id="myCarousel" class="carousel slide">  

                                 <ol class="carousel-indicators">
                                    <li data-target="#myCarousel" data-slide-to="0" class="active"></li>
                                    <li data-target="#myCarousel" data-slide-to="1"></li>
                                    <li data-target="#myCarousel" data-slide-to="2"></li>
                                    <li data-target="#myCarousel" data-slide-to="3"></li>
                                  </ol>
                                <!-- Carousel items -->  
                                <div class="carousel-inner">  
                                   <div class="active item"><img src="@Url.Content(Model.Image1VirtualSign)" class="img-responsive" alt="HTML5 logo"/></div>  
                                   <div class="item"><img src="@Url.Content(Model.Image2VirtualSign)"  class="img-responsive" alt="JS logo"/></div>  
                                   <div class="item"><img src="@Url.Content(Model.Image3VirtualSign)" class="img-responsive" alt="Schema.org logo"/></div>  
                                   <div class="item"><img src="@Url.Content(Model.Image4VirtualSign)" class="img-responsive" alt="JSON logo"/></div>  
                         </div>  
                             <!-- Carousel nav -->  
                          <a class="carousel-control left" href="#myCarousel" data-slide="prev">‹</a>  
                          <a class="carousel-control right" href="#myCarousel" data-slide="next">›</a>  
                     </div>  

                      </div> 
                        
                      <div class="col-xs-6 col-md-6">
                             <div id="Google_Map_Canvas">Map</div>   
                      </div> 
               </div>                                       
            </div>
        <!-- end width wrap -->
    </div>

</div>

